## org.eclipse.emf.ocl.expressions
Interface IterateExp

All Superinterfaces:
  ASTNode, CallExp, CallingASTNode, EModelElement, ENamedElement, EObject, LoopExp, Notifier, OCLExpression, TypedElement, Visitable

All Known Implementing Classes:
  IterateExpImpl

Deprecated. Use the `IterateExp` interface, instead.

    @Deprecated
    public interface IterateExp

extends LoopExp

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`Variable` `getResult()` Deprecated.
`void` `setResult(Variable value)` Deprecated. Sets the value of the '`Result`' containment reference

Methods inherited from interface org.eclipse.emf.ocl.expressions.LoopExp
`getBody, getIterator, setBody`

Methods inherited from interface org.eclipse.emf.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getResult

    Variable getResult()

  Deprecated.

### setResult

    void setResult(Variable value)

  Deprecated.
  Sets the value of the '`Result`' containment reference.

  Parameters:
    `value` - the new value of the 'Result' containment reference.
  See Also:
    `getResult()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.